// boolean tests
class C {
    public static void main(String[] args) {
    	String s = "Hello";

    	String t = null;
    	if (true || false) t = s;
    	if (t == s) {
    		t.toString(); // not null, since s is not null
    	}
    	else {
    		t.toString(); // maybe null
    	}
    }
}
